For the complete documentation index, see llms.txt. This page is also available as Markdown.

Portal user

Buscar usuário por ID

get
Autorizações
AuthorizationstringObrigatório
Bearer authentication header of the form Bearer <token>.
Parâmetros de rota
userIdstringObrigatório

ID do usuario

Respostas
200

OK

application/json
idstringOpcional
profilestring · enumOpcionalValores possíveis:
namestringOpcional
emailstringOpcional
phonestringOpcional
cpfstringOpcional
seller_idstringOpcional
show_notification_alertbooleanOpcional
change_password_next_accessbooleanOpcional
imagestringOpcional
creation_datestring · date-timeOpcional
last_update_datestring · date-timeOpcional
first_access_datestring · date-timeOpcional
originstringOpcional
email_confirmedbooleanOpcional
access_request_statusstring · enumOpcionalValores possíveis:
access_request_datestring · date-timeOpcional
access_request_end_datestring · date-timeOpcional
activebooleanOpcional
groupsstring[]Opcional
get/portal-user/{userId}
GET /api/b2b/portal-user/{userId} HTTP/1.1
Host: api.zydon.com.br
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "id": "text",
  "profile": "SELLER",
  "name": "text",
  "email": "text",
  "phone": "text",
  "cpf": "text",
  "seller_id": "text",
  "show_notification_alert": true,
  "change_password_next_access": true,
  "image": "text",
  "creation_date": "2026-01-01T00:00:00.000Z",
  "last_update_date": "2026-01-01T00:00:00.000Z",
  "first_access_date": "2026-01-01T00:00:00.000Z",
  "origin": "text",
  "email_confirmed": true,
  "access_request_status": "APPROVED",
  "access_request_date": "2026-01-01T00:00:00.000Z",
  "access_request_end_date": "2026-01-01T00:00:00.000Z",
  "active": true,
  "groups": [
    "text"
  ],
  "partners": [
    {
      "id": "text",
      "name": "text",
      "type": "text",
      "fiscal_registration_number": "text",
      "state_registration": "text",
      "email": "text",
      "phone": "text",
      "mobile": "text",
      "active": true
    }
  ]
}

Atualizar usuário

put
Autorizações
AuthorizationstringObrigatório
Bearer authentication header of the form Bearer <token>.
Parâmetros de rota
userIdstringObrigatório

ID do usuario

Corpo
profilestring · enumOpcionalValores possíveis:
namestringOpcional
emailstringOpcional
passwordstringOpcional
phonestringOpcional
seller_idstringOpcional
show_notification_alertbooleanOpcional
change_password_next_accessbooleanOpcional
imagestringOpcional
activebooleanOpcional
groupsstring[]Opcional
partnersstring[]Opcional
Respostas
200

OK

application/json
idstringOpcional
profilestring · enumOpcionalValores possíveis:
namestringOpcional
emailstringOpcional
phonestringOpcional
cpfstringOpcional
seller_idstringOpcional
show_notification_alertbooleanOpcional
change_password_next_accessbooleanOpcional
imagestringOpcional
creation_datestring · date-timeOpcional
last_update_datestring · date-timeOpcional
first_access_datestring · date-timeOpcional
originstringOpcional
email_confirmedbooleanOpcional
access_request_statusstring · enumOpcionalValores possíveis:
access_request_datestring · date-timeOpcional
access_request_end_datestring · date-timeOpcional
activebooleanOpcional
groupsstring[]Opcional
put/portal-user/{userId}
PUT /api/b2b/portal-user/{userId} HTTP/1.1
Host: api.zydon.com.br
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 234

{
  "profile": "SELLER",
  "name": "text",
  "email": "text",
  "password": "text",
  "phone": "text",
  "seller_id": "text",
  "show_notification_alert": true,
  "change_password_next_access": true,
  "image": "text",
  "active": true,
  "groups": [
    "text"
  ],
  "partners": [
    "text"
  ]
}
{
  "id": "text",
  "profile": "SELLER",
  "name": "text",
  "email": "text",
  "phone": "text",
  "cpf": "text",
  "seller_id": "text",
  "show_notification_alert": true,
  "change_password_next_access": true,
  "image": "text",
  "creation_date": "2026-01-01T00:00:00.000Z",
  "last_update_date": "2026-01-01T00:00:00.000Z",
  "first_access_date": "2026-01-01T00:00:00.000Z",
  "origin": "text",
  "email_confirmed": true,
  "access_request_status": "APPROVED",
  "access_request_date": "2026-01-01T00:00:00.000Z",
  "access_request_end_date": "2026-01-01T00:00:00.000Z",
  "active": true,
  "groups": [
    "text"
  ],
  "partners": [
    {
      "id": "text",
      "name": "text",
      "type": "text",
      "fiscal_registration_number": "text",
      "state_registration": "text",
      "email": "text",
      "phone": "text",
      "mobile": "text",
      "active": true
    }
  ]
}

Excluir usuário

delete
Autorizações
AuthorizationstringObrigatório
Bearer authentication header of the form Bearer <token>.
Parâmetros de rota
userIdstringObrigatório

ID do usuario

Respostas
204

User deleted successfully

Sem conteúdo

delete/portal-user/{userId}
DELETE /api/b2b/portal-user/{userId} HTTP/1.1
Host: api.zydon.com.br
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*

Sem conteúdo